Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class DistributedManagementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.ManagementException
                              |
                              +--weblogic.management.DistributedManagementException

public final class DistributedManagementException
extends ManagementException

This exception wraps a set of exceptions thrown when trying to update attributes over multiple managed servers in a WebLogic Domain.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedManagementException(java.util.List exceptionsArg)` The argument to this constructor must contain 0 or more DistributedUpdateException instances, or an java.lang.IllegalArgumentException will be thrown.

Method Summary
`java.util.List` | `getExceptions()` This is guaranteed to return a list containing 0 or more DistributedUpdateException instances.
`java.lang.String` | `getMessage()` Gets the message attribute of the DistributedManagementException object
`void` | `printStackTrace()` Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the standard error.
`void` | `printStackTrace(java.io.PrintStream stream)` Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream
`void` | `printStackTrace(java.io.PrintWriter writer)` Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream

Methods inherited from class weblogic.management.ManagementException
`unWrapExceptions`

Methods inherited from class weblogic.utils.NestedException
`getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedManagementException

    public DistributedManagementException(java.util.List exceptionsArg)

  The argument to this constructor must contain 0 or more DistributedUpdateException instances, or an java.lang.IllegalArgumentException will be thrown.

  Parameters:
    `exceptionsArg` -

Method Detail

### getExceptions

    public java.util.List getExceptions()

  This is guaranteed to return a list containing 0 or more DistributedUpdateException instances.

  Returns:
    The exceptions value

### getMessage

    public java.lang.String getMessage()

  Gets the message attribute of the DistributedManagementException object

  Returns:
    The message value
  Overrides:
    getMessage in class weblogic.utils.NestedException

### printStackTrace

    public void printStackTrace()

  Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the standard error.

  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream

  Parameters:
    `stream` - where to print the stack trace.
  Overrides:
    printStackTrace in class weblogic.utils.NestedException

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Prints the stack trace for this particular exception to the and all of the enclosed exceptions to the specified stream

  Parameters:
    `writer` - where to print the stack trace.
  Overrides:
    printStackTrace in class weblogic.utils.NestedException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD